Kerbal Space Program - Bug #23978

Parachute drag is different from 1.7.3 to 1.8.0
10/19/2019 01:46 AM - Anth12

Status: Closed Start date:

Severity: Low % Done: 100%
Assignee: just_jim

Category: Physics

Target version: 1.9.0

Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.7.3 MH + BG (Clean Install reverted using steam)
KSP 1.8.0 MH + BG (Clean Install)

| had a craft that was supposed to land on the water of eve, now it smashes it into the water at at least 10m/s faster than 1.7.3 so |
created this bug report to
show detailed information.

The two screenshots show how the speed for Parachute Drop Speed Test.craft is travelling faster than 1.7.3 when using a
parachute.

Note also differences in drag cube information.

Related issues:
Related to Kerbal Space Program - Bug #23966: Major Temperature Differences b... Closed 10/19/2019

History

#1 - 10/20/2019 03:27 AM - jclovis3
- Tracker changed from Bug to Feedback
- Start date deleted (10/19/2019)

Is "different" really a bug? Sometimes parts are changed to correct their behavior and you may just need to redesign your craft.

#2 - 10/20/2019 05:29 AM - Anth12

| disagree, a difference of 20m/s from one version to another shows this is a bug.
Drag Cubes that are different from the previous version shows this is a bug.

Wheres the mention of the changes in the changelog for 1.8
#3 - 10/20/2019 07:05 AM - Anth12

- Tracker changed from Feedback to Bug

- % Done set to 0
#4 - 10/20/2019 10:30 AM - Kergarin
It is not only parachute drag, it's drag in general that's way lower.

Example:
a booster reentering from 72km at almost orbital speed when crossing 30km from same savegame:

1.7: surface speed 1.872m/s, drag 25,730 kN, convective heat 707.852.000kJ
1.8: surface speed 2060m/s, drag 11,861kN, convective heat 2.040.896.000kJ
That's less than half the drag and it decelerated ~200 m/s less in 1.8 by then.

In combination with the convective heat bug(?) this breakes the game and should be both rated high.
#5 - 10/20/2019 02:43 PM - Lupi

jclovis3 wrote:

Is "different" really a bug? Sometimes parts are changed to correct their behavior and you may just need to redesign your craft.

@dJclovis, please refrain from changing the status of other peoples' reports.
You're not the authority on how this game works, or should work, and changing them based on your opinion makes the tracker more of a mess for
everyone.

#6 - 10/21/2019 12:40 AM - Anonymous
- File test.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirming, with the craft attached.

A large number of parts have their coefficient-of-drag entries in 'PartDatabase.cfg' significantly smaller than what they were in earlier versions, mostly
the Cd components that apply to airflow from the sides of the rocket, and these smaller entries look out of place. Deleting the file 'PartDabase.cfg'
results in KSP re-generating it with essentially same values.

If 1 copy that file from a previous installation (version 1.7.3) and delete the line with "version = ..." then | avoid the aerodynamics problems.

#7 - 10/21/2019 08:02 AM - Kergarin

Especially angular drag seems to be almost not existent.
| had a bunch of empty fuel tanks reentering at AoA ~90 degree, which did not seem to decelerate at all before exploding.

#8 - 10/21/2019 05:50 PM - hihosilver28

k-ohara5a5a@oco.net wrote:
Confirming, with the craft attached.
A large number of parts have their coefficient-of-drag entries in 'PartDatabase.cfg’ significantly smaller than what they were in earlier versions,
mostly the Cd components that apply to airflow from the sides of the rocket, and these smaller entries look out of place. Deleting the file
'PartDabase.cfg’ results in KSP re-generating it with essentially same values.
If 1 copy that file from a previous installation (version 1.7.3) and delete the line with "version = ..." then | avoid the aerodynamics problems.

This seems the same root cause as the reentry heating bug. (Bug #23966) Will these be merged, or is that up to Squad to take different bug reports
and determine if they have the same root cause?

#9 - 10/21/2019 08:29 PM - just_jim
- Related to Bug #23966: Major Temperature Differences between 1.7.3 and 1.8 added

#11 - 10/21/2019 08:29 PM - just_jim

- Assignee set to just jim

#12 - 11/01/2019 02:19 PM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#13 - 11/01/2019 02:19 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.8.1

- % Done changed from 30 to 80

This is ready to test

#14 - 11/01/2019 07:33 PM - Anth12
- File 1.8.1 Retest.png added

- Status changed from Ready to Test to Needs Clarification
- % Done changed from 80 to 0

The perfectionist side of me thinks the drag cubes should be identical to 1.7.3,

But the actual speed is fine. And #23966 testing showed that the large craft landed at a approximately the right speed.
just_jim its really REALLY close. is it close enough?

#15 - 02/12/2020 01:32 AM - Anonymous

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

It seems to be close enough that it is not causing players any trouble.

That is, | have not noticed any reports of trouble with the 1.8.1 parachutes in the forum,
in contrast to two separate requests for explanation of the new smoother Flea booster moving faster than the original Flea in the tutorial.

#16 - 02/15/2020 01:25 PM - just_jim
- Status changed from Updated to Being Worked On
- % Done changed from 10 to 30

#17 - 02/15/2020 01:26 PM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version changed from 1.8.1 to 1.9.0

- % Done changed from 30 to 80

Please confirm this is still working in 1.9.0

#18 - 02/16/2020 06:02 AM - Anth12
- File screenshot37.png added

Confirmed just_jim

#19 - 02/19/2020 03:34 AM - Anonymous
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

confirmed with another parachute

#20 - 02/21/2020 01:46 AM - chris.fulton

- Status changed from Resolved to Closed

Files

1.7.3 1000.png 926 KB 10/19/2019 Anth12
1.8.0 1000.png 1.02 MB 10/19/2019 Anth12
Parachute Drop Speed Test.craft 25.7 KB 10/19/2019 Anth12
test.craft 21.9KB 10/21/2019 Anonymous
1.8.1 Retest.png 1010 KB 11/01/2019 Anth12
screenshot37.png 2.62 MB 02/16/2020 Anth12
